Error communicating with the radio

Post here to get support
heath
Beginner
Posts: 6
Joined: Sun May 04, 2014 9:25 pm

Error communicating with the radio

Post by heath » Sun May 04, 2014 9:29 pm

Hi, I received a crazyflie yesterday, and I put it together today! When I power it on, all four propellers spin. I think the red light does the appropriate thing and slows down its beeping. Cfclient is installed and my controller can adjusts pitch, roll, etc. but I am failing to connect to the crazyflie. I see several radio options after scanning is complete and clicking on one resullts in this error in the command line:

https://gist.githubusercontent.com/heat ... tfile1.txt

Suggestions on how to go about troubleshooting this?



arnaud
Bitcraze
Posts: 2046
Joined: Tue Feb 06, 2007 12:36 pm

Re: Error communicating with the radio

Post by arnaud » Mon May 05, 2014 7:57 am

Hi, Did you fix the Udev right to access the radio as documented on the wiki: http://wiki.bitcraze.se/projects:crazyf ... wheezy_etc

A quick way to test is to launch cfclient as root with sudo.

If it does not help can you copy-paste the text in help>about debug tab.

heath
Beginner
Posts: 6
Joined: Sun May 04, 2014 9:25 pm

Re: Error communicating with the radio

Post by heath » Mon May 05, 2014 5:35 pm

Hi arnaud, yeah I went through that as well, and I tested it as root. I'm at company's workplace currently, but when I get back home, I'll paste more information in the gist. Thanks for getting back in touch with me!

heath
Beginner
Posts: 6
Joined: Sun May 04, 2014 9:25 pm

Re: Error communicating with the radio

Post by heath » Wed May 07, 2014 3:16 am

Meant to get to this yesterday, here's the tailed output of dmesg and the error received again when attempting to use the crazyflie radio to connect to the crazyflie, this time with the root user (even though the last user was also in the plugdev group):
https://gist.githubusercontent.com/heat ... tfile1.txt

arnaud
Bitcraze
Posts: 2046
Joined: Tue Feb 06, 2007 12:36 pm

Re: Error communicating with the radio

Post by arnaud » Thu May 08, 2014 7:59 am

Which version of the client and which Linux distribution and version are you using? This looks like an incompatibility of pyusb.

heath
Beginner
Posts: 6
Joined: Sun May 04, 2014 9:25 pm

Re: Error communicating with the radio

Post by heath » Thu May 08, 2014 6:43 pm

ubuntu 14.04
cfclient 2013.4.2
python 2.7.6
pyusb-1.0.0b2

heath
Beginner
Posts: 6
Joined: Sun May 04, 2014 9:25 pm

Re: Error communicating with the radio

Post by heath » Tue May 13, 2014 3:51 pm

An update: still the same errors ;)

heath
Beginner
Posts: 6
Joined: Sun May 04, 2014 9:25 pm

Re: Error communicating with the radio

Post by heath » Wed May 14, 2014 5:41 am

pip install --pre pyusb
Status: flying! :)

martijnz
Beginner
Posts: 1
Joined: Wed Dec 31, 2014 3:40 pm

Re: Error communicating with the radio

Post by martijnz » Wed Dec 31, 2014 3:48 pm

Hi,

I've got the exact same error message as heath did. I installed the crazyflie client on ubuntu according to http://wiki.bitcraze.se/projects:crazyf ... stallation.

When trying to connect to the crazyflie, cfclient shows:
Failed to connect on radio://0/0/250K: Error communicating with crazy radio ,it has probably been unplugged!
Exception:write() takes at most 4 arguments (5 given)

My system info:
Ubuntu 14.04.1 LTS
cfclient 2013.4.2
python 2.7.6
pyusb-1.0.0b2

When trying the solution posted by heath:
pip install --pre pyusb
I get a message that my pyusb is already installed (as shown).

Any ideas how to solve this problem?

marcus
Bitcraze
Posts: 599
Joined: Mon Jan 28, 2013 7:02 pm
Location: Sweden
Contact:

Re: Error communicating with the radio

Post by marcus » Fri Jan 09, 2015 10:32 am

Hi,

This should be fixed in the latest version of the client (here's the change). Could you try to either pull it from GitHub or download the 2014.12.1 version. It's caused by a change in the number of parameters between pyusb-1.0.0a2 and pyusb-1.0.0b2, but the new version of the client should work with both versions.

Post Reply